e-Way Bill Validity Extension API
POST
https://apisandbox.whitebooks.in/ewaybillapi/v1.03/ewayapi/extendvalidityExtend Validity of E-Way Bill
e-Way Bill UI
Explore FeatureGenerate & Manage e-Way Bills with Part-B Updates
Update vehicle numbers, extend validity in transit, and manage consolidated trip sheets without logging into the NIC portal.
Parameters
query parameters
emailstringrequiredUser Email
header parameters
ip_addressstringrequiredIP Address
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
usernamestringrequiredUser Name
gstinstringrequiredGSTIN number
Request Body
application/jsonrequired
ewbNonumberrequiredEwaybill Number
Example: 381009282489
vehicleNostringoptionalVehicle Number
Example: "ABC1234"
fromPlacestringrequiredFrom Place
Example: "FRAZER TOWN"
fromStateintegerrequiredFrom State
Example: 29
remainingDistancenumberrequiredRemaining Distance
Example: 50
transDocNostringoptionalTransport Document Number
Example: "12"
transDocDatestringoptionalTransport Document Date
Example: "11/12/2024"
transModestringoptionalTransport Mode
Example: "1"
extnRsnCodenumberrequiredExtension Reason Code
Example: 1
extnRemarksstringrequiredExtension Remarks
Example: "Nature Calamity"
fromPincodenumberrequiredFrom Pincode
Example: 560001
consignmentStatusstringoptionalconsignmentStatus(T)
Example: "M"
transitTypestringoptionaltransit Type
Example: ""
addressLine1stringoptionaladdressLine1
Example: ""
addressLine2stringoptionaladdressLine2
Example: ""
addressLine3stringoptionaladdressLine3
Example: ""
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/ewaybillapi/v1.03/ewayapi/extendvalidity. Required parameters: email (query parameter), ip_address (header parameter), client_id (header parameter), client_secret (header parameter), username (header parameter), gstin (header parameter). A JSON request body (Content-Type: application/json) is required with mandatory top-level fields: ewbNo, extnRemarks, extnRsnCode, fromPincode, fromPlace, fromState, remainingDistance.For Extend Validity of E-Way Bill (POST
/ewaybillapi/v1.03/ewayapi/extendvalidity), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Extend Validity of E-Way Bill
No example available.